Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 773)
+++ plugins/antispam/index.php	(revision 776)
@@ -211,6 +211,12 @@
 	if (DC_ADMIN_URL)
 	{
-		$ham_feed = $core->url->getURLFor('hamfeed',$code = dcAntispam::getUserCode($core));
-		$spam_feed = $core->url->getBase('spamfeed',$code = dcAntispam::getUserCode($core));
+		$ham_feed = $core->blog->url.$core->url->getURLFor(
+			'hamfeed',
+			$code = dcAntispam::getUserCode($core)
+		);
+		$spam_feed = $core->blog->url.$core->url->getURLFor(
+			'spamfeed',
+			$code = dcAntispam::getUserCode($core)
+		);
 
 		echo
Index: plugins/blogroll/_public.php
===================================================================
--- plugins/blogroll/_public.php	(revision 773)
+++ plugins/blogroll/_public.php	(revision 776)
@@ -54,5 +54,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$core->url->getURLFor("xbel")').'; ?>';
+		return '<?php echo '.sprintf($f,'$core->blog->url.$core->url->getURLFor("xbel")').'; ?>';
 	}
 	
Index: plugins/pages/_prepend.php
===================================================================
--- plugins/pages/_prepend.php	(revision 270)
+++ plugins/pages/_prepend.php	(revision 776)
@@ -15,5 +15,5 @@
 $core->url->register('pagespreview','pagespreview','^pagespreview/(.+)$',array('urlPages','pagespreview'));
 
-$core->setPostType('page','plugin.php?p=pages&act=page&id=%d',$core->url->getBase('pages').'/%s');
+$core->setPostType('page','plugin.php?p=pages&act=page&id=%d',$core->url->getURLFor('pages','%s'));
 
 # We should put this as settings later
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 773)
+++ plugins/pages/page.php	(revision 776)
@@ -391,5 +391,5 @@
 
 	if ($post_id) {
-		$preview_url =
+		$preview_url = $core->blog->url.
 		$core->url->getURLFor('pagespreview',
 		$core->auth->userID().'/'.
Index: plugins/simpleMenu/_install.php
===================================================================
--- plugins/simpleMenu/_install.php	(revision 683)
+++ plugins/simpleMenu/_install.php	(revision 776)
@@ -21,5 +21,5 @@
 $menu_default = array(
 	array('label' => 'Home', 'descr' => 'Recent posts', 'url' => $blog_url),
-	array('label' => 'Archives', 'descr' => '', 'url' => $blog_url.$core->url->getBase('archive'))
+	array('label' => 'Archives', 'descr' => '', 'url' => $blog_url.$core->url->getURLFor('archive'))
 );
 $core->blog->settings->system->put('simpleMenu',serialize($menu_default),'string','simpleMenu default menu',false,true);
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 751)
+++ plugins/simpleMenu/index.php	(revision 776)
@@ -168,5 +168,5 @@
 					$item_label = $item_select_label;
 					$item_descr = sprintf(__('Switch to %s language'),$item_select_label);
-					$item_url .= $core->url->getBase('lang').$item_select;
+					$item_url .= $core->url->getURLFor('lang',$item_select);
 					break;
 				case 'category':
@@ -174,5 +174,5 @@
 					$item_label = $item_select_label;
 					$item_descr = __('Recent Posts from this category');
-					$item_url .= $core->url->getBase('category').'/'.$item_select;
+					$item_url .= $core->url->getURLFor('category',$item_select);
 					break;
 				case 'archive':
@@ -181,9 +181,9 @@
 						$item_label = __('Archives');
 						$item_descr = $first_year.($first_year != $last_year ? ' - '.$last_year : '');
-						$item_url .= $core->url->getBase('archive');
+						$item_url .= $core->url->getURLFor('archive');
 					} else {
 						$item_label = $item_select_label;
 						$item_descr = sprintf(__('Posts from %s'),$item_select_label);
-						$item_url .= $core->url->getBase('archive').'/'.substr($item_select,0,4).'/'.substr($item_select,-2);
+						$item_url .= $core->url->getURLFor('archive',substr($item_select,0,4).'/'.substr($item_select,-2));
 					}
 					break;
@@ -199,9 +199,9 @@
 						$item_label = __('All tags');
 						$item_descr = '';
-						$item_url .= $core->url->getBase('tags');
+						$item_url .= $core->url->getURLFor('tags');
 					} else {
 						$item_label = $item_select_label;
 						$item_descr = sprintf(__('Recent posts for %s tag'),$item_select_label);
-						$item_url .= $core->url->getBase('tag').'/'.$item_select;
+						$item_url .= $core->url->getURLFor('tag',$item_select);
 					}
 					break;
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 773)
+++ plugins/tags/_admin.php	(revision 776)
@@ -63,5 +63,5 @@
 		
 		
-		$tag_url = html::stripHostURL($GLOBALS['core']->blog->url.$GLOBALS['core']->url->getBase('tag'));
+		$tag_url = html::stripHostURL($GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag'));
 		$res['url'] = $tag_url.'/'.rawurlencode(dcMeta::sanitizeMetaID($url));
 		$res['content'] = $content;
@@ -102,7 +102,7 @@
 	public static function postHeaders()
 	{
-		$tag_url = $GLOBALS['core']->url->getURLFor('tag');
-		
-		$opts = $GLOBALS['core']->auth->getOptions();
+		$tag_url = $GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag');
+		
+		$opts = $GLOBALS['core']->blog->url.$GLOBALS['core']->auth->getOptions();
 		$type = isset($opts['tag_list_format']) ? $opts['tag_list_format'] : 'more';
 		
@@ -131,5 +131,5 @@
 	public static function postsActionsHeaders()
 	{
-		$tag_url = $GLOBALS['core']->url->getURLFor('tag');
+		$tag_url = $GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag');
 		
 		$opts = $GLOBALS['core']->auth->getOptions();
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 773)
+++ plugins/tags/_public.php	(revision 776)
@@ -186,5 +186,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$core->url->getURLFor("tag",'.
+		return '<?php echo '.sprintf($f,'$core->blog->url.$core->url->getURLFor("tag",'.
 		'rawurlencode($_ctx->meta->meta_id))').'; ?>';
 	}
@@ -193,5 +193,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$$core->url->getURLFor("tags")').'; ?>';
+		return '<?php echo '.sprintf($f,'$core->blog->url.$core->url->getURLFor("tags")').'; ?>';
 	}
 	
@@ -205,5 +205,5 @@
 		
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$core->url->getURLFor("tag_feed",'.
+		return '<?php echo '.sprintf($f,'$core->blog->url.$core->url->getURLFor("tag_feed",'.
 		'rawurlencode($_ctx->meta->meta_id)."/'.$type.'")').'; ?>';
 	}
@@ -247,5 +247,5 @@
 		{
 			$res .=
-			'<li><a href="'.$core->url->getURLFor('tag',rawurlencode($rs->meta_id)).'" '.
+			'<li><a href="'.$core->blog->url.$core->url->getURLFor('tag',rawurlencode($rs->meta_id)).'" '.
 			'class="tag'.$rs->roundpercent.'" rel="tag">'.
 			$rs->meta_id.'</a> </li>';
@@ -257,5 +257,5 @@
 		{
 			$res .=
-			'<p><strong><a href="'.$core->url->getURLFor("tags").'">'.
+			'<p><strong><a href="'.$core->blog->url.$core->url->getURLFor("tags").'">'.
 			html::escapeHTML($w->alltagslinktitle).'</a></strong></p>';
 		}
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 741)
+++ plugins/widgets/_widgets_functions.php	(revision 776)
@@ -50,5 +50,5 @@
 		$res .=
 		'<li class="topnav-arch">'.
-		'<a href="'.$core->blog->url.$core->url->getBase("archive").'">'.
+		'<a href="'.$core->blog->url.$core->url->getURLFor("archive").'">'.
 		__('Archives').'</a></li>'.
 		'</ul>'.
@@ -91,6 +91,5 @@
 			
 			$res .=
-			'<a href="'.$core->blog->url.$core->url->getBase('category').'/'.
-			$rs->cat_url.'">'.
+			'<a href="'.$core->blog->url.$core->url->getURLFor('category', $rs->cat_url).'">'.
 			html::escapeHTML($rs->cat_title).'</a>'.
 			($w->postcount ? ' <span>('.$rs->nb_post.')</span>' : '');
@@ -171,5 +170,5 @@
 			' <li>'.
 			sprintf($l,
-				'<a href="'.$core->blog->url.$core->url->getBase('lang').$rs->post_lang.'" '.
+				'<a href="'.$core->url->getURLFor('lang',$rs->post_lang).'" '.
 				'class="lang-'.$rs->post_lang.'">'.
 				$lang_name.'</a>').
@@ -203,5 +202,5 @@
 		$res .=
 		'<li><a type="'.$mime.'" '.
-		'href="'.$core->blog->url.$core->url->getBase('feed').'/'.$type.'" '.
+		'href="'.$core->blog->url.$core->url->getURLFor('feed', $type).'" '.
 		'title="'.sprintf($p_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
 		__('Entries feed').'</a></li>';
@@ -211,5 +210,5 @@
 			$res .=
 			'<li><a type="'.$mime.'" '.
-			'href="'.$core->blog->url.$core->url->getBase('feed').'/'.$type.'/comments" '.
+			'href="'.$core->blog->url.$core->url->getURLFor('feed',$type.'/comments').'" '.
 			'title="'.sprintf($c_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
 			__('Comments feed').'</a></li>';
